Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename wrap-ansi
%global enable_tests 0
# tests disabled until 'ava' is packaged in Fedora

Name:		nodejs-wrap-ansi
Version:	2.0.0
Release:	alt1_7
Summary:	Wordwrap a string with ANSI escape codes

License:	MIT
URL:		https://github.com/chalk/wrap-ansi.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.  Grab from the github
# commit that corresponds with the version listed above
Source1:	https://raw.githubusercontent.com/chalk/wrap-ansi/c890e95ea671779012fa73fd77b74198e8c5d09b/test.js
#
# Simple patch to fix an rpmlint warning
Patch0:		nodejs-wrap-ansi_fix-tests.patch

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(string-width)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif
Source44: import.info

%description
Wordwrap a string with ANSI escape codes


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
%patch0 -p1


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_7
- new version

